#ifndef _TextureProjection_H_
#define _TextureProjection_H_

enum
{

    TEX_PROJECTION_TYPE=1360,
    PROJ_POS_TYPE,
    PROJECTION_POSITION,

    UVW_ROT_ORDER1,
    UVW_ROT_ORDER2,

    PROJ_TRANS1_LINK,
    PROJ_TRANS2_LINK,

    PROJ_TRANS1_TYPE,
    PROJ_TRANS2_TYPE,

    TEX_PROJ_TRANS_RX1,
    TEX_PROJ_TRANS_RY1,
    TEX_PROJ_TRANS_RZ1,
    TEX_PROJ_TRANS_SX1,
    TEX_PROJ_TRANS_SY1,
    TEX_PROJ_TRANS_SZ1,
    TEX_PROJ_TRANS_TX1,
    TEX_PROJ_TRANS_TY1,
    TEX_PROJ_TRANS_TZ1,

    TEX_PROJ_TRANS_RX2,
    TEX_PROJ_TRANS_RY2,
    TEX_PROJ_TRANS_RZ2,
    TEX_PROJ_TRANS_SX2,
    TEX_PROJ_TRANS_SY2,
    TEX_PROJ_TRANS_SZ2,
    TEX_PROJ_TRANS_TX2,
    TEX_PROJ_TRANS_TY2,
    TEX_PROJ_TRANS_TZ2,
    TEX_PROJ_OBJECT_LINK,


    TEX_PROJ_POS_GROUP,
    TRANSFORM1_GROUP,
    TRANSFORM2_GROUP,
    INTERNAL_TRANSFORM1_GRP,
    INTERNAL_TRANSFORM2_GRP,
    TEX_PROJ_ROT_GRP,
    TEX_PROJ_SCL_GRP,
    TEX_PROJ_POS_GRP,

    TEX_PROJ_RESET_BTN,

    TEX_PROJ_BOX=0,
    TEX_PROJ_CYLINDRICAL=1,
    TEX_PROJ_MESHUV=2,
    TEX_PROJ_PERSPECTIVE=3,
    TEX_PROJ_SPHERICAL=4,
    TEX_PROJ_XYZ_TO_UVW=5,

    TEX_PROJ_POS_WORLD=0,
    TEX_PROJ_POS_OBJECT=1,

    TRNS_2D_TRANSFORMATION=0,
    TRNS_3D_ROTATION=1,
    TRNS_3D_SCALE=2,
    TRNS_3D_TRANSFORMATION=3,
    TRNS_TRANSFORM_VALUE=4

//    UVW_ORDER0=0,
//    UVW_ORDER1=1,
//    UVW_ORDER2=2,
//    UVW_ORDER3=3,
//    UVW_ORDER4=4,
//    UVW_ORDER5=5
};

#endif
