#ifndef _Toctanecameraexp_H_
#define _Toctanecameraexp_H_

enum
{
    OCTANECAMERAEXP_PITCH				= 1410,
    OCTANECAMERA_FOV,
    OCTANECAMERA_APERTURE,
    OCTANECAMERA_STEREO,
    OCTANECAMERA_STEREODIST,
    OCTANECAMERA_LEFTFILTER,
    OCTANECAMERA_RIGHTFILTER,
    OCTANECAMERA_LENSSHIFT_OLD,
    OCTANECAMERA_FOCALDEPTH,
    OCTANECAMERA_AUTOFOCUS,
    OCTANECAMERA_NEARCLIPDEPTH,


    OCTANECAMERA_MGRP,
    OCTANECAMERA_IMAGERGRP,
    OCTANECAMERA_ENABLE_IMAGER,
    OCTANECAMERA_EXPOSURE,
    OCTANECAMERA_FSTOP,
    OCTANECAMERA_ISO,
    OCTANECAMERA_GAMMA,
    OCTANECAMERA_RESPONSE,
    OCTANECAMERA_VIGNETTING,
    OCTANECAMERA_SATURATION,
    OCTANECAMERA_HOTPIXEL,
    OCTANECAMERA_PREMALPHA,
    OCTANECAMERA_MDISP_SAMPLES,
    OCTANECAMERA_DITHERING,
    OCTANECAMERA_SATURATETOWHITE,
    OCTANECAMERA_WHITEBALANCE,

    OCTANECAMERA_THINLENS_GROUP,
    OCTANECAMERA_PANORAMIC_GROUP,
    OCT_CAMERA_TYPE_SELECT,
    OCT_CAMERA_PANORAMIC_MODE_SELECT,
    OCT_CAMERA_PANORAMIC_FOVX,
    OCT_CAMERA_PANORAMIC_FOVY,

    OCT_CAMERA_DISTORTION,
    OCT_CAMERA_APERTUREEDGE,
    OCT_CAMERA_ORTHOGRAPHIC,
    OCT_CAMERA_HELPBUTTON,
    OCT_CAMERA_MOBLUR,
    OCT_CAMERA_SHUTTER,

    OCTANECAMERA_LENSSHIFT,
    OCT_CAMERA_SHUTTER_ALIGN,
    OCT_CAMERA_TIME_SHIFT,

    OCT_CAMERA_SHUTTER_ALIGN_BEFORE=1,
    OCT_CAMERA_SHUTTER_ALIGN_CENTER=2,
    OCT_CAMERA_SHUTTER_ALIGN_AFTER=3,

    OCT_CAMERA_PANORAMIC_MODE1=0,
    OCT_CAMERA_PANORAMIC_MODE2=1,
    OCT_CAMERA_TYPE1=0,
    OCT_CAMERA_TYPE2=1,


    OCTANECAMERA_MOBLUR_GROUP,

    OCTANECAMERA_POSTGRP=1519,
    CAM_POSTENABLED=1520,
    CAM_BOOMPOWER,
    CAM_GLAREPOWER,
    CAM_GLARE_RAY_AMOUNT,
    CAM_GLARE_ANGLE,
    CAM_GLARE_BLUR,
    CAM_SPECTRAL_INT,
    CAM_SPECTRAL_SHIFT,

    OCT_CAMERA_PERSP_CORRECTION,
    OCT_CAMERA_STEREOMODE,
    OCT_CAMERA_STEREOOUT,

    OCT_CAMERA_STEREO_MODE_NONE=0,
    OCT_CAMERA_STEREO_MODE_OFF_AXIS=1,
    OCT_CAMERA_STEREO_MODE_PARALLEL=2,

    OCT_CAMERA_STEREO_OUTPUT_UNDEFINED=0,
    OCT_CAMERA_STEREO_OUTPUT_LEFT_EYE=1,
    OCT_CAMERA_STEREO_OUTPUT_RIGHT_EYE=2,
    OCT_CAMERA_STEREO_OUTPUT_SIDE_BY_SIDE=3,
    OCT_CAMERA_STEREO_OUTPUT_ANAGLYPHIC=4,

    _Agfacolor_Futura_100CD = 5099 ,
   _Agfacolor_Futura_200CD = 5100,
    _Agfacolor_Futura_400CD = 5101,
        _Agfacolor_Futura_II_100CD = 5102,
        _Agfacolor_Futura_II_200CD = 5103,
        _Agfacolor_Futura_II_400CD = 5104,
        _Agfacolor_HDC_100_plusCD = 5105,
        _Agfacolor_HDC_200_plusCD = 5106,
        _Agfacolor_HDC_400_plusCD = 5107,
        _Agfacolor_Optima_II_100CD = 5108,
        _Agfacolor_Optima_II_200CD = 5109,
        _Agfacolor_ultra_050_CD = 5110,
        _Agfacolor_Vista_100CD = 5111,
        _Agfacolor_Vista_200CD = 5112,
        _Agfacolor_Vista_400CD = 5113,
        _Agfacolor_Vista_800CD = 5114,
        _Agfachrome_CT_precisa_100CD = 5115,
        _Agfachrome_CT_precisa_200CD = 5116,
        _Agfachrome_RSX2_050CD = 5117,
        _Agfachrome_RSX2_100CD = 5118,
        _Agfachrome_RSX2_200CD = 5119,
        _Advantix_100CD = 5201,
        _Advantix_200CD = 5202,
        _Advantix_400CD = 5203,
        _Gold_100CD = 5204,
        _Gold_200CD = 5205,
        _Max_Zoom_800CD = 5206,
        _Portra_100TCD = 5207,
        _Portra_160NCCD = 5208,
        _Portra_160VCCD = 5209,
        _Portra_800CD = 5210,
        _Portra_400VCCD = 5211,
        _Portra_400NCCD = 5212,
        _Ektachrome_100_plusCD = 5213,
        _Ektachrome_320TCD = 5214,
        _Ektachrome_400XCD = 5215,
        _Ektachrome_64CD = 5216,
        _Ektachrome_64TCD = 5217,
        _Ektachrome_E100SCD = 5218,
        _Ektachrome_100CD = 5219,
        _Kodachrome_200CD = 5220,
        _Kodachrome_25 = 5221,
        _Kodachrome_64CD = 5222,
        _F125CD = 5301,
        _F250CD = 5302,
        _F400CD = 5303,
        _FCICD = 5304,
        _DSCS315_1 = 5305,
        _DSCS315_2 = 5306,
        _DSCS315_3 = 5307,
        _DSCS315_4 = 5308,
        _DSCS315_5 = 5309,
        _DSCS315_6 = 5310,
        _FP2900Z = 5311,
        _Linear = 5400,

};

#endif



